Skip to main content
POST
/
barbers
/
{id}
/
reviews
/
{reviewId}
/
approved
Approve a review
curl --request POST \
  --url https://api.guile.app/barbers/{id}/reviews/{reviewId}/approved \
  --header 'Authorization: Bearer <token>'
{
  "text": "<string>",
  "reviewTags": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "sentiment": "positive",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "appointment": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "occursOn": "2023-11-07T05:31:56Z",
    "barber": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "givenName": "<string>",
      "surname": "<string>",
      "preferredName": "<string>"
    },
    "location": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "shopName": "<string>"
    }
  },
  "customer": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "givenName": "<string>",
    "surname": "<string>"
  },
  "state": "pending",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Path Parameters

id
string<uuid>
required

The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.

reviewId
string<uuid>
required

The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.

Response

Ok. The operation succeeded.

A representation of a review.

text
string
required

The text content of the review.

Required string length: 1 - 1000
reviewTags
string<uuid>[]
required

The review tags associated with this review. Maximum of 3 tags.

Maximum array length: 3

The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.

sentiment
enum<string>
required

The sentiment of the review.

Available options:
positive,
negative
id
string<uuid>
required

The unique identifier for the review.

appointment
object
required

The appointment this review is associated with.

customer
object
required

The customer who created this review.

state
enum<string>
required

The calculated state of the review.

Available options:
pending,
approved,
rejected
createdAt
string<date-time>
required

The date-time when this resource was created, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. This is derived and immutable.

updatedAt
string<date-time>
required

The date-time when this resource was updated, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. This is derived and immutable.